LinuxQMISDK: swiQosFilter Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
swiQosFilter Struct Reference

## Data Fields
BYTE | index
BYTE | version
IPv4Addr * | pIPv4SrcAddr
IPv4Addr * | pIPv4DstAddr
BYTE * | pNxtHdrProto
Tos * | pTos
IPv6Addr * | pIPv6SrcAddr
IPv6Addr * | pIPv6DstAddr
IPv6TrafCls * | pIPv6TrafCls
ULONG * | pIPv6Label
Port * | pTCPSrcPort
Port * | pTCPDstPort
Port * | pUDPSrcPort
Port * | pUDPDstPort
ULONG * | pEspSpi
WORD * | pPrecedence
WORD * | pId
Port * | pTranSrcPort
Port * | pTranDstPort

## Detailed Description

This structure contains the QoS Filter Request

Parameters

  index | IP filter index Integer that uniquely identifies each filter instance This TLV must be present in the request
  version | IP filter version Identifies whether the filter is associated with IPv4 or IPv6; value specified also implies that only TLVs defined for that IP version, i.e., TLVs with IPv4 or IPv6 in the name, can be specified 0x04 – IPv4 0x06 – Ipv6
  pIPv4SrcAddr | IPv4 filter soruce address See IPv4Addr for more information NOT IMPLEMENTED
  pIPv4DstAddr | IPv4 filter destination address See IPv4Addr for more information NOT IMPLEMENTED
  pNxtHdrProto | IP filter next header protocol This TLV must be present if any non-IP filter TLV(s) are provided If this field is specified, only IP packets belonging to specified higher layer protocol are considered when filtering The following protocols may be specified: 0x06 = TCP 0x11 = UDP
  pTos | IPv4 filter type of service See Tos for more information
  pIPv6SrcAddr | IPv6 filter soruce address See IPv6Addr for more information NOT IMPLEMENTED
  pIPv6DstAddr | IPv6 filter destination address See IPv6Addr for more information NOT IMPLEMENTED
  pIPv6TrafCls | IPv6 filter traffic class See IPv6TrafCls for more information
  pIPv6Label | IPv6 flow label Packet matches the IPv6 flow label filter if: ( *pIPv6Label == flow label in the IPv6 header) NOT IMPLEMENTED
  pTCPSrcPort | TCP filter source port filter See Port for more information NOT IMPLEMENTED
  pTCPDstPort | TCP filter destination port filter See Port for more information NOT IMPLEMENTED
  pUDPSrcPort | UDP filter source port filter See Port for more information NOT IMPLEMENTED
  pUDPDstPort | UDP filter destination port filter See Port for more information NOT IMPLEMENTED
  pEspSpi | ESP filter security policy index Security policy index to uniquely identify each IP flow for filtering encrypted packets for encapsulating security payload NOT IMPLEMENTED
  pPrecedence | Filter Precedence Specifies the order in which filters are applied; lower numerical value has higher precedence Note: This TLV only applies to network-initiated QoS; QoS requests containing this TLV from control points will be ignored
  pId | Filter ID Unique identifier for each filter;filter ID is assigned by the modem Note: This TLV only applies to network-initiated QoS; QoS requests containing this TLV from control points will be ignored
  pTranSrcPort | Transport protocolfilter source port See Port for more information NOT IMPLEMENTED
  pUDPDstPort | Transport protocol filter destination port See Port for more information NOT IMPLEMENTED

## Field Documentation

BYTE swiQosFilter::index

ULONG* swiQosFilter::pEspSpi

WORD* swiQosFilter::pId

IPv4Addr* swiQosFilter::pIPv4DstAddr

IPv4Addr* swiQosFilter::pIPv4SrcAddr

IPv6Addr* swiQosFilter::pIPv6DstAddr

ULONG* swiQosFilter::pIPv6Label

IPv6Addr* swiQosFilter::pIPv6SrcAddr

IPv6TrafCls* swiQosFilter::pIPv6TrafCls

BYTE* swiQosFilter::pNxtHdrProto

WORD* swiQosFilter::pPrecedence

Port* swiQosFilter::pTCPDstPort

Port* swiQosFilter::pTCPSrcPort

Tos* swiQosFilter::pTos

Port* swiQosFilter::pTranDstPort

Port* swiQosFilter::pTranSrcPort

Port* swiQosFilter::pUDPDstPort

Port* swiQosFilter::pUDPSrcPort

BYTE swiQosFilter::version